Bug 235497 - net/gdrive add pkg-message for notice about API
Summary: net/gdrive add pkg-message for notice about API
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-04 15:39 UTC by toshi
Modified: 2019-02-23 05:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dg)


Attachments
patch file (2.97 KB, patch)
2019-02-22 11:32 UTC, Dmitri Goutnik
dg: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description toshi 2019-02-04 15:39:56 UTC
It is useful to know that we are sharing a API and might be encountered the error such like:

  Failed listing files: googleapi: Error 403: Rate Limit Exceeded, rateLimitExceeded.

The work around is here (build binary using own API):
https://github.com/prasmussen/gdrive/issues/426

How about add these information to the pkg-message?
Comment 1 Dmitri Goutnik 2019-02-15 13:03:14 UTC
(In reply to toshi from comment #0)

Thanks for the heads up. I'm going to update the port to pull in patches from https://github.com/prasmussen/gdrive/pull/428 when vendoring issues are resolved.
Comment 2 toshi 2019-02-17 09:25:13 UTC
(In reply to Dmitri Goutnik from comment #1)

That would be great and also waiting for the related vendor/golang.org/x/oauth2/google update.
Comment 3 Dmitri Goutnik 2019-02-22 11:32:18 UTC
Created attachment 202262 [details]
patch file

- Pull in patches from https://github.com/prasmussen/gdrive/pull/428 enabling support for external Google API OAuth2 client credentials
- Add pkg-message with reference to workaround for "Rate Limit Exceeded" errors
- Pet portlint while here

QA:
  poudriere testport: OK (112a, 112i, 120a)
Comment 4 commit-hook freebsd_committer 2019-02-23 05:17:06 UTC
A commit references this bug:

Author: tobik
Date: Sat Feb 23 05:16:29 UTC 2019
New revision: 493640
URL: https://svnweb.freebsd.org/changeset/ports/493640

Log:
  net/gdrive: Update to a newer snapshot

  - Pull in patches from https://github.com/prasmussen/gdrive/pull/428
    enabling support for external Google API OAuth2 client credentials
  - Add pkg-message with reference to workaround for "Rate Limit
    Exceeded" errors
  - Pet portlint while here

  PR:		235497
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)

Changes:
  head/net/gdrive/Makefile
  head/net/gdrive/distinfo
  head/net/gdrive/pkg-message